#ifndef _TOOLS_H_
#define _TOOLS_H_

#include <glib.h>
#include <sys/inotify.h>
#include "smclient/eggsmclient.h"
#include <stdio.h>
#include <gtk/gtk.h>

gchar* get_glade_file(gchar* filename);
gchar* get_data_path();

void dbus_gencfsm_indicate( GString state );
void dbus_gencfsm_mount( GString dir, GString* env );
void dbus_gencfsm_unmount( GString dir, GString* env );

void session_init (void);

#endif
